Get the progress record draft of an operation
curl --request GET \
--url https://api.bold-factory.com/v1/production/operations/{operationReference}/progressRecordDraft \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bold-factory.com/v1/production/operations/{operationReference}/progressRecordDraft"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bold-factory.com/v1/production/operations/{operationReference}/progressRecordDraft', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"operationId": "<string>",
"progressVersion": "<string>",
"revision": 123,
"header": {
"completedQuantity": 123,
"rejectedQuantity": 123,
"quantityUnitOfMeasureId": "<string>",
"comments": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"employeeId": "<string>",
"employeeName": "<string>"
},
"inputs": [
{
"inputId": "<string>",
"quantity": 123,
"quantityUnitOfMeasureId": "<string>",
"referenceQuantity": 123,
"lots": [
{
"lotId": "<string>",
"lotCode": "<string>",
"quantity": 123
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"employeeId": "<string>",
"employeeName": "<string>"
}
],
"coProducts": [
{
"coProductId": "<string>",
"quantity": 123,
"quantityUnitOfMeasureId": "<string>",
"referenceQuantity": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"employeeId": "<string>",
"employeeName": "<string>"
}
],
"lastModifiedAt": "2023-11-07T05:31:56Z"
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/COMMON.AUTH.MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Families.Read",
"instance": "GET /v1/maintenance/assets",
"code": "COMMON.AUTH.MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/COMMON.ENTITY.NOT_FOUND",
"title": "The entity was not found.",
"status": 404,
"detail": "Entity Family (pr_72f13bd8218h9823dfj9) was not found.",
"instance": "DELETE /v1/items/families/pr_72f13bd8218h9823dfj9",
"code": "COMMON.ENTITY.NOT_FOUND"
}{
"type": "https://api.bold-factory.com/errors/COMMON.RATE_LIMIT.EXCEEDED",
"title": "Rate limit exceeded",
"status": 429,
"detail": "The request rate limit for this tenant has been exceeded. Retry after the indicated delay.",
"instance": "GET /v1/admin/tenants/self",
"code": "COMMON.RATE_LIMIT.EXCEEDED",
"parameters": {}
}Operation Progress
Get the progress record draft of an operation
Returns the progress prepared in work mode and not recorded yet. When the operation has no draft, the response has no id, revision 0 and no lines. Requires Production.Orders.Work permissions
GET
/
v1
/
production
/
operations
/
{operationReference}
/
progressRecordDraft
Get the progress record draft of an operation
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Parámetros de ruta
Respuesta
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes